Package wx :: Package lib :: Package analogclock :: Module helpers :: Class Element

[frames | no frames]

## Class Element

Known Subclasses:
  `ElementWithDyer`, `TickCircle`, `TickDecimal`, `TickNone`, `TickPoly`, `TickSquare`

Base class for face, hands and tick marks.

Method Summary
| `__init__(self, idx, pos, size, offset, clocksize, scale, rotate, kind)`
| `Draw(self, dc, offset)`
| `DrawRotated(self, dc, offset)`
| `DrawStraight(self, dc, offset)`
| `GetIsRotated(self, rotate)`
| `GetMaxSize(self, scale)`
| `GetOffset(self)`
| `GetPolygon(self)`
| `GetScale(self)`
| `GetSize(self)`
| `RecalcCoords(self, clocksize, centre, scale)`
| `SetClockSize(self, clocksize)`
| `SetIsRotated(self, rotate)`
| `SetOffset(self, offset)`
| `SetPolygon(self, polygon)`
| `SetPosition(self, pos)`
| `SetScale(self, scale)`
| `SetSize(self, size)`

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:10:41 2007 | http://epydoc.sf.net